#pragma once

#include <tqwidget.h>
#include <kled.h>

class KLedButton : public KLed
{
    TQ_OBJECT

public:
    KLedButton( const TQColor &col = TQt::green, TQWidget *parent = 0, const char *name = 0 );
    KLedButton( const TQColor &col, KLed::State st, KLed::Look look, KLed::Shape shape,
                TQWidget *parent = 0, const char *name = 0 );
    ~KLedButton() {}

    TQSize       sizeHint()   const;
    TQSizePolicy sizePolicy() const;

signals:
    void stateChanged( bool newState );

protected:
    void mousePressEvent( TQMouseEvent *e );
};
